/*
-----------------------------------------------------------

   constellation.data builder

   (c) 1999,2000 ROALTER - software Int.

-----------------------------------------------------------
*/

/* Run this program to create form the file constellation.bound the file
   constellation.data. */

#include <astro/constellation.h>
#include <astro/coord.h>
#include <stdio.h>
#include <stdlib.h>

int main()
{
	FILE *f, *g;
	int ret, h, m;
	double s;
	const_bound buf;
	char line[80];

	f = fopen("constellation.bound", "r");
	if (!f) {
		printf("File `constellation.bound' not found! Run the `build'-script to create it.\n");
		return (1);
	}
	g = fopen("constellation.data", "wb");
	if (!g) {
		printf("Could not create `constellation.data' in the local directory.\n");
		return (2);
	}
	for (;;) {
		ret = fscanf(f, "%s", line);
		if (ret == EOF)
			break;
		if (line[0] == '#') {
			while (fgetc(f) != 0x0A);
			continue;
		};

		buf.ordernumber = atoi(line) - 1;

		fscanf(f, "%d %d", &h, &m);
		fscanf(f, "%s", line);
		s = atof(line);
		ddd(h, m, s, &buf.xt);
		fscanf(f, "%d %d", &h, &m);
		fscanf(f, "%s", line);
		s = atof(line);
		ddd(h, m, s, &buf.yt);
		fscanf(f, "%d %d", &h, &m);
		fscanf(f, "%s", line);
		s = atof(line);
		ddd(h, m, s, &buf.xb);
		fscanf(f, "%d %d", &h, &m);
		fscanf(f, "%s", line);
		s = atof(line);
		ddd(h, m, s, &buf.yb);
		fwrite(&buf, sizeof(const_bound), 1, g);
	}

	fclose(f);
	fclose(g);
	return (0);
}
