/*
-----------------------------------------------------------

   sun demo program

   (c) 1999,2000 ROALTER - software Int.

-----------------------------------------------------------
*/

#include <stdio.h>
#include <astro/sun.h>
#include <astro/atime.h>

int main()
{
	int day, month, year;
	float hour;
	double t, l, b, r;
	
	/* Set up the date */
	
	day = 22;
	month = 3;
	year = 1989;
	hour = 13.0;
	
	/* Calculate the julianic centuries */
	t = (jd(day, month, year, hour) - 2451545.0) / 36525.0;
	
	/* Now calculate the position */
	sun(t, &l, &b, &r);
	
	printf("The Position of the Sun on %02d/%02d/%04d, %04.1fh is:\n", month, day, year, hour);
	printf("%1.5f %1.5f %1.5f\n", l, b, r);

	return (0);
}
