/*
-----------------------------------------------------------

   sun.c / sun.h

   (c) 2000 ROALTER - software Int.

-----------------------------------------------------------
*/

#ifndef _SUN_H
#define _SUN_H

/* sun calculates the position of the sun (up to 1" precision)
   for a given date (in Julianic Centuries). Pay attention: the 
   equinox of the returned position is t. Use pmat* functions to
   correct the values against your desired equinox.
   
   ATTENTION: The implementation may change in the near future due
   to some conformity to the planned other planets position
   programs, in addition to the moon ephemerisis, which is just
   on the new status. Don't worry about it, since it's only a matter
   of implementation and should NOT alter the programs behavior.
   
   Args: t, l, b, r	*/
void sun(double, double *, double *, double *);

#endif
