#ifndef __SKYDRV_JOBSHELL_HH
#define __SKYDRV_JOBSHELL_HH

#include <cronic/jobshell.hh>
#include <string>
#include <drivemsg.h>

class JobShellDrv: public JobShell {
	const static char ActDunno = 0;
	const static char ActMoveTo = 1;
	const static char ActSetSpeed = 2;

	int dkey;
	struct drived *dd;
	char action;

public:
	JobShellDrv (const string &i="");
	~JobShellDrv ();

	void init (const string &str);
	void init (map<string,string> &cfg);
	void cleanup (void);

	bool exec (const JobData &data);
};

extern "C" {
	void *factory_JobShellDrv (void);
};

#endif /* __SKYDRV_JOBSHELL_HH */
