#ifndef __TCPIP_SERVER_HH
#define __TCPIP_SERVER_HH

#include <sys/types.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <sys/wait.h>

/*
 * Generic class to build a server
 */
class TCPServer {
	int _port, _sock, _conn, _backlog;
	struct sockaddr_in loc_addr, rem_addr;
public:
	TCPServer(int port=3443, int back=10);
	~TCPServer();

	void start(void);
	int accept(void); /* returns the connection fd */
	void stop(void);

	//virtual void serve(int fd)=0;
};

#endif /* __SNET_SERVER_HH */
