#! /bin/sh

#
#  Alpha-Mini
#
#  Copyright (C) 2000 Florin Boariu.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

#
# will wait for the existance of /tmp/camsem
# will call /bin/camsemd.sh with the parametes
#   stored in /tmp/camsem
# will never exit
#

FILE="/tmp/camsem"
SEMD="/bin/camsemd.sh"

while [ true ]; do
    while [ ! -r "$FILE" ]; do
	sleep 1
    done

    T=`cat $FILE | sed -n '/^time=/p' | cut -f2 -d=`
    M=`cat $FILE | sed -n '/^msg=/p'  | cut -f2 -d=`
    W=0
    H=0
    D=`cat $FILE | sed -n '/^dev=/p'  | cut -f2 -d=`

    "$SEMD" "$T" "$M" "$W" "$H" "$D"
done



