#include <string.h>
#include <stdio.h>
//#include <ltdl.h>

#include <cronic/joblist.hh>

struct proginfo {
	char name[20];
	int (*proc)(int,char**);
};

extern int prog_queue (int, char**);
extern int prog_run (int, char**);
//extern int prog_show (int, char**);
//extern int prog_drv (int, char**);

struct proginfo progs[]={
	{"crqueue", &prog_queue},
	{"crrun",   &prog_run},
	/*{"crshow", &prog_show},*/
	{"", NULL}
};

int main (int argc, char **argv)
{
	//return test (argc, argv);

	for (int i=0; progs[i].proc; i++) {
		printf("Checking for %s\n", progs[i].name);
		char *sub = strstr (argv[0], progs[i].name);
		if (sub == argv[0]+strlen(argv[0])-strlen(progs[i].name)) {
			printf("Found!\n");
			return progs[i].proc (argc, argv);
		}
		    
	}
	fprintf (stderr, "Call me as one of:");
	for (int i=0; progs[i].proc; i++)
		fprintf (stderr, " %s", progs[i].name);
	fprintf (stderr, ".\n");
}



