/*
-----------------------------------------------------------

   constellation.names builder

   (c) 1999,2000 ROALTER - software Int.

-----------------------------------------------------------
*/

/* Run this program to create form the file constellation.names.txt the file
   constellation.names. */

#include <astro/constellation.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{
	FILE *f, *g;
	const_names buf;
	int ret;
	char line[30], line2[30];

	f = fopen("constellation.names.txt", "r");
	if (!f) {
		printf("File `constellation.names.txt' not found!\n");
		return (1);
	}
	g = fopen("constellation.names", "wb");
	if (!g) {
		printf("Could not create `constellation.names' in the local directory.\n");
		return (2);
	}
	while (1) {
		ret = fscanf(f, "%s", line);
		if (ret == EOF)
			break;
		if (line[0] == '#') {
			while (fgetc(f) != 0x0A);
			continue;
		};
		line[strlen(line) - 1] = '\0';
		strcpy(buf.abbreviation, line);

		ret = fscanf(f, "%s", line);
		if (line[strlen(line) - 1] == ';') {
			line[strlen(line) - 1] = '\0';
			strcpy(buf.fullname, line);
		} else {
			ret = fscanf(f, "%s", line2);
			line2[strlen(line2) - 1] = '\0';
			strcat(line, " ");
			strcat(line, line2);
			strcpy(buf.fullname, line);
		}

		ret = fscanf(f, "%s", line);
		if (line[strlen(line) - 1] == ';') {
			line[strlen(line) - 1] = '\0';
			strcpy(buf.genitive, line);
		} else {
			ret = fscanf(f, "%s", line2);
			line2[strlen(line2) - 1] = '\0';
			strcat(line, " ");
			strcat(line, line2);
			strcpy(buf.genitive, line);
		}

		buf.genitive[21] = '\n';
		fwrite(&buf, sizeof(buf), 1, g);
	}

	fclose(f);
	fclose(g);
	return (0);
}
