/*
-----------------------------------------------------------

   constellation names and boundaries check program

   (c) 1999,2000 ROALTER - software Int.

-----------------------------------------------------------
*/

#include <stdio.h>
#include <astro/constellation.h>

int main()
{
	int i;

	i = load_names("../databases/constellation.names");
	if (i == LOAD_FILENOTFOUND) {
		printf("Cannot load file\n");
		return (1);
	};
	if (i == LOAD_NOMEMORY) {
		printf("Not enough memory to load data\n");
		return (1);
	};


	i = load_bound("../databases/constellation.data");
	if (i == LOAD_FILENOTFOUND) {
		printf("Cannot load file\n");
		return (1);
	};
	if (i == LOAD_NOMEMORY) {
		printf("Not enough memory to load data\n");
		return (1);
	};

	printf("Data files successfully loaded\n");
	unload_bound();
	unload_names();
	return (0);
}
