#ifndef __CRONIC_LOOP_HH
#define __CRONIC_LOOP_HH

#include <cronic/time.hh>
#include <cronic/joblist.hh>
#include <cronic/jobshell.hh>

class Loop {
	long tslice; // timeslice in usecs
	JobList *jobs;
	JobShell *shell;

	void execute (const JobData &data);

public:
	Loop(Time slice=1.0, JobList *l=NULL, JobShell *s=NULL);
	~Loop();

	void delay(void); // sleep a timeslice
	bool itr(void); // one iteration
	void run (void);
};

#endif /* __CRONIC_LOOP_HH */
