/*
 cgi.h

 CGI -- C CGI Library -- Header

 Copyright (c) 2000 Todor Prokopov
 Distributed under GPL, see COPYING for details

 Todor Prokopov <koprok@newmail.net>

 $Id: cgi.hh,v 1.1.1.1 2001/03/11 14:40:25 florin Exp $

 $Log: cgi.hh,v $
 Revision 1.1.1.1  2001/03/11 14:40:25  florin


*/

#ifndef CGI_H  /* Prevent multiple includes */
#define CGI_H

#include <ctype.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>

enum {
  CGIERR_SUCCESS,
  CGIERR_UNKNOWN_REQUEST_METHOD,
  CGIERR_NULL_QUERY_STRING,
  CGIERR_MEMORY_ALLOCATION,
  CGIERR_REPEATED_INIT_ATTEMPT,
  CGIERR_UNKNOWN_CONTENT_TYPE,
  CGIERR_UNSUPPORTED_CONTENT_TYPE,
  CGIERR_INVALID_CONTENT_LENGTH,
  CGIERR_INPUT_BLOCK_READING,
  CGIERR_INVALID_URLENCODED_DATA,
  CGI_NUM_ERRS
};

extern int cgi_errno;

extern "C" {
	int cgi_init(void);
	void cgi_done(void);
	const char *cgi_param(const char *name);
	const char *cgi_strerror(int errnum);
	//void cgi_parlist (
};

#endif /* CGI_H */

/* End of cgi.h */
